Create Store
curl --request POST \
--url https://api.vellaro.io/api/v1/admin/stores \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"code": "<string>",
"type": "sales_point",
"is_default": false,
"is_active": true,
"url": "<string>",
"ssl_url": "<string>",
"email": "<string>",
"phone": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123,
"opening_hours": "<string>",
"notes": "<string>"
}
'import requests
url = "https://api.vellaro.io/api/v1/admin/stores"
payload = {
"name": "<string>",
"code": "<string>",
"type": "sales_point",
"is_default": False,
"is_active": True,
"url": "<string>",
"ssl_url": "<string>",
"email": "<string>",
"phone": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123,
"opening_hours": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
type: 'sales_point',
is_default: false,
is_active: true,
url: '<string>',
ssl_url: '<string>',
email: '<string>',
phone: '<string>',
address_line1: '<string>',
address_line2: '<string>',
city: '<string>',
postal_code: '<string>',
state: '<string>',
country: '<string>',
latitude: 123,
longitude: 123,
opening_hours: '<string>',
notes: '<string>'
})
};
fetch('https://api.vellaro.io/api/v1/admin/stores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"code": "<string>",
"type": "sales_point",
"is_default": false,
"is_active": true,
"url": "<string>",
"ssl_url": "<string>",
"email": "<string>",
"phone": "<string>",
"address_line1": "<string>",
"address_line2": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "<string>",
"country": "<string>",
"latitude": "<string>",
"longitude": "<string>",
"opening_hours": "<string>",
"notes": "<string>"
},
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
},
"error": "<string>",
"error_code": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}admin:stores
Create Store
POST
/
api
/
v1
/
admin
/
stores
Create Store
Autorizzazioni
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corpo
application/json
Opzioni disponibili:
sales_point, warehouse, pickup_point, mixed ⌘I